---
- hosts: localhost
  gather_facts: False
  become: no
  tasks:
    - name: "Check ansible version >=2.7.8"
      assert:
        msg: "Ansible must be v2.7.8 or higher"
        that:
          - ansible_version.string is version("2.7.8", ">=")
      tags:
        - check
  vars:
    ansible_connection: local

- hosts: bastion[0]
  gather_facts: False
  roles:
    - { role: kubespray-defaults}
    - { role: bastion-ssh-config, tags: ["localhost", "bastion"]}

- hosts: "{{ groups['etcd'] | first }}"
  roles:
    - { role: kubespray-defaults}
    - { role: recover_control_plane/etcd }

- hosts: "{{ groups['kube-master'] | first }}"
  roles:
    - { role: recover_control_plane/master }

- include: cluster.yml

- hosts: "{{ groups['kube-master'] }}"
  roles:
    - { role: kubespray-defaults}
    - { role: recover_control_plane/post-recover }
